/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.epm.web.core.client.projectarea"); //$NON-NLS-1$
dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang"); //$NON-NLS-1$
(function(){

    var checkNotNull = net.jazz.ajax.toolbox.lang.checkNotNull;
    
    function checkProjectAreaInit(){
        checkNotNull(com.ibm.epm.web.core.projectArea, "com.ibm.epm.web.core.projectArea"); //$NON-NLS-1$
    }
    
    /**
     * Returns an object representing the current project area.
     * @since 0.5
     */
    function getAdminProjectArea(){
        checkProjectAreaInit();
        return com.ibm.epm.web.core.projectArea;
    }
    
    com.ibm.epm.web.core.client.projectarea.getAdminProjectArea = getAdminProjectArea;
    
})();
