/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

dojo.provide("com.ibm.epm.resource.web.ui.internal.ResourceConstants");

(function(){

    com.ibm.epm.resource.web.ui.internal.ResourceConstants = {
    
        NEW_ELEMENT_PREFIX: "_unsaved",
        
        STATICPOOL_ICONCLASS: "staticpoolIcon",
        
        PARENT: "ParentStaticPool",
        
        BOOLEAN_TRUE: "True",
        
        STATICPOOL_URI: "staticpools",
        
        CHILD_LINKNAME: "ChildStaticPool",
        
        SP_RESOURCE_TYPE: "staticpools",
        
        BOOLEAN_FALSE: "False",
        //Tree
        STATICPOOL_TREE_TITLE: "StaticPoolsTree",
        
        FIELD_NAME: "name",
        
        //controller
        STATICPOOL_CONTROLLER: "StaticPoolsController",
        
        // Title
        STATICPOOL_GRID_TITLE: "StaticPoolGrid",
        
        ADDUSER_ANCHOR:"addUseranchor",
		
        //pool types
        TYPE_GEOGRAPHY: "Geography",
        
        TYPE_SKILLS: "Skills",
        
        TYPE_VISA: "Visa",
        
        //state constants
        
        STATE_ACTIVE: "ACTIVE",
        
        STATE_INACTIVE: "INACTIVE",
        
        //user grid controller
        STATICPOOL_USERS_GRID_CONTROLLER: "StaticPoolUsersGridController",
        
        STATICPOOLUSERS_GRID_TITLE: "StaticPoolUsersGrid",
        
        //assigned users grid
        
        STATICPOOLASSIGNEDUSERS_GRID_TITLE: "StaticPoolAssignedUsersGrid",
        
        //publish tree click
        ON_STATICPOOL_TREECLICK: "OnStaticPoolGridClick",
        
        //publish grid click
        ON_STATICPOOL_GRIDCLICK: "OnStaticPoolTreeClick",
        
        //publish topic for pool type selection
        ON_STATICPOOLTYPE_SELECTION: "OnStaticPoolTypeSelection",
        
        //topic for new static pool
        ON_NEW_STATICPOOL: "OnNewStaticPool",
        
        UNSAVED: "unsaved",
        
        USER_URI: "user",
        
        SLASH: "/",
		
		STATICPOOLTYPE_URI : "staticpooltypes",
		
		RESOURCE_QUERY_EDITOR_VIEWLET_CONTEXT_HELP_ID: "cst_res_query",
		
		STATIC_POOL_VIEWLET_CONTEXT_HELP_ID:"cst_pools"
    
    };
    
})();
