/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

dojo.provide("com.ibm.epm.work.web.ui.internal.WBSTreePubSub");

(function(){

    com.ibm.epm.work.web.ui.internal.WBSTreePubSub = {
        /**
         * the object publish:
         * publishObj = {
         *		name: wbsElementname,
         *		description: "",
         *		state: "",
         *		resourcetype: wbsElementType,
         *		parentId: parentID,
         *		startDate: "",
         *		endDate: "",
         *		duration: "",
         *		constraintType: "As soon as possible",
         *		constraintDate: "",
         *		doc: ""
         *	}
         */
        ON_NEW: "OnNew",
        
        /**
         * the object publish:
         * publishObj = {
         *		args = {
         *			identifier :
         *			parentId :
         *			name :
         *			resourcetype :
         *			state :
         *		}
         *		type : Project / WBSElement
         *	}
         */
        ON_CREATE: "OnCreate",
        
        /**
         * the object publish:
         * var publishedObj = {
         * 	publishedObj.uniqueIdentifier.treeID : WBSConstants.WBS_TREE_ID
         * }
         */
        ON_CREATE_NODE: "CreateNode",

        /*
         * the object publish:
         * publishObj = {
         *      sourceNode: source node,
         *      targetNode: target node
         * }
         */
        ON_DRAG_N_DROP: "OnDragNDrop"
    };
    
})();
