/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

dojo.provide("com.ibm.epm.resource.assignment.web.ui.internal2.ResourceAssignmentViewletConstants");

(function(){

    com.ibm.epm.resource.assignment.web.ui.internal2.ResourceAssignmentViewletConstants = {
    
        // URL Infos
        PROJECT_PROFILE_URI: "projectProfile",
        
        USER_URI: "user",
		
		USER_ID: "userId",
        
        PROFILE_URI: "profile",
        
        SKILL_URI: "skills",
        
        COMPETENCY_URI: "competencies",
        
        
        //Button Info
        SAVE_BUTTON_ICON: "SaveButtonIcon",
        
        ADD_BUTTON_ICON: "AddButtonIcon",
        
        DELETE_BUTTON_ICON: "DeleteButtonIcon",
        
        //String Constants
        
        RATE: "Rate",
        
        WORKITEMS: "workitems",
        
        WORKITEM: "workitem",
        
        PARTICIPANT: "Participant",
        
        PROJECT_ID: "projectId",
        
        PROFILE: "profile",
        
        PROJECT_PROFILE: "ProjectProfile",
        
        COMPETENCY: "competency",
        
        SKILL: "skill",
        
        CONTEXT_HELP_ID: "cst_res_assign.html",
        
        GRID_TEMP_ID: "Temp_unsaved",
        
        WBS_TREE_ID: "WBSTree",
        
        QUERY_TAB: "QueryGrid",
        
        PROJECT_PROFILES_TAB: "ProjectProfiles",
        
        PROJECT_PROFILES_CONTENT_PANE: "ProjectProfileContentPane",
        
        SEARCH_ASSIGN_CONTENT_PANE: "SearchAssignContentPane",
        
        CONTOUR_VALUE: "contourValue",
        
        CONTOUR_INFO: "contourInfo",
        
        CONTOUR_LABEL: "Contour",
		
		ACTIVE: "active",
        
       //role related constants
	    PROCESS_DIALOG_ID :"com.ibm.team.process.web.ui.internal.admin.projects.ProcessRoleDialog",
	    PROCESS_DIALOG_TITLE :"Process Roles",
	    ROLES :"roles",
	    JSON_MEMBERS:"jsonMembers",
		ONCLICK :"onclick",
		ON_ROLES_SELECTED:"rolesSelected",
        
        PROJECT_ASSIGNMENT: "projectAssignment",
        
        PROJECT_PROFILE: "projectProfile",
        
        QUERY_TAB: "QueryGrid",
        
        SLASH: "/",
        
        UNSAVED: "_unsaved",
        
        TASK_ASSIGNMENT: "taskAssignment",
        
        PROJECT_RESOURCE_ASSIGNED: "User",
        
        RESOURCE_ASSIGNED: "User",
        
        PROJECT_PROFILE_ASSIGNED: "profile",
        
        PROFILE_ASSIGNED: "profile",
        
        LABOUR_CHARGE_CODE: "LabourChargeCode",
        
        REVENUE_CHARGE_CODE: "RevenueChargeCode",
        
        RATE: "Rate",
        
        REFRESH_EVENT: "AssignmentGrid_refresh",
        
        PROJECT_PROFILE_ROW_SELECTION_EVENT: "ProjectProfileGrid_RowSelected",
        
        PROJECT_PROFILE_LABEL_ID: "projectProfileLabelID",
        
        REFRESH_BUTTON_ICON: "RefreshButtonIcon",
        
        OVERVIEW_TAB: "OverviewTab",
        
        SKILL_COMPETENCY_TAB: "SkillandCompetencyTab",
        
        EDUCATION_DETAILS_TAB: "EducationDetailsTab",
        
        PROJECT_PROFILE_CONTROLLER: "ProjectProfileController",
        
        ASSIGN_SAVE_BUTTON_ICON_CLASS: "AssignSaveButtonNode",
        
        PROJECT: "projects",
        
        ROLE_COMBO_BOX: "roleComboBox",
        
        CSS_CLASS: "com-ibm-epm-resource-assignment-web-ui-internal-UnassignDialogBox",
        
        ASSIGNEDRESOURCES_GRID_TITLE: "AssignedResources",
        
        PROJECT_PROFILE_GRID_TITLE: "ProjectProfilesGrid",
        
        PROJECT_ASSIGNMENT_GRID_CONTROLLER: "ProjectAssignmentGridController",
        
        PROJECT_ASSIGNMENT_GRID_TITLE: "ProjectAssignmentGrid",
        
        PROJECT_PROFILE_COMP_GRID_CRTL: "projectProfileCompetencyGridController",
        
        PROJECT_PROFILE_SKILL_GRID_CRTL: "projectProfileSkillGridController",
        
        PROJECT_PROFILE_COMP_GRID: "ProjectProfileCompetencyGrid",
        
        PROJECT_PROFILE_SKILL_GRID: "ProjectProfileSkillGrid",
        
        //Project Profile Description View information
        
        PROJECT_PROFILE_NAME: "ProjectProfileName",
        
        PROJECT_PROFILE_DESCRIPTION: "ProjectProfileDescription",
        
        PROJECT_PROFILE_EXPERIENCE: "ProjectProfileExperience",
        
        PROJECT_PROFILE_RESOURCETYPE: "ProjectProfileResourceType",
        
        PROJECT_PROFILE_EDUCATION_QUALIFICATION: "ProjectProfileQualification",
        
        PROJECT_PROFILE_EDUCATION_SPECIALIZATION: "ProjectProfileSpecialization",
        
        PROJECT_PROFILE_EDUCATION_QUALIFICATION_LEVEL: "ProjectProfileQualificationLevel",
        
        PROJECT_PROFILE_EDUCATION_CERITIFICATIONS: "ProjectProfileCertifications",
        
        //Project Assignment Grid Constants
        
        PROJECT_ASSIGNMENT_GRID: "ProjectAssignmentGrid",
        
        RESOURCE_QUERY_GRID: "ResourceQueryGrid",
        
        ASSIGNMENT_GRID_ROW_SELECTION_EVENT: "Assignment_Grid_Row_Selection_Event",
        
        // Grid Types
        
        PROJECT_ASSIGNMENT_GRID: "ProjectAssignmentGrid",
        
        QUERY_GRID: "QueryGrid",
        
        PROJECT_PROFILES_GRID: "ProjectProfilesGrid",
        
        TRUE: "true",
        
        //Events
        
        CHANGE_PROFILE_NAME: "Change Profile Name",
        
        //Date picker labels
        
        FROM_DATE: "From",
        
        TO_DATE: "To",
        
        START_DATE: "startDate",
        
        FINISH_DATE: "finishDate",
		
				
		FROM_DATE: "fromDate",
        
        TO_DATE: "toDate",
        
		SCHEDULE_FROM_DATE: "fromDate",
		
		SCHEDULE_TO_DATE: "toDate",
        
    	DURATION: "duration",
		
		ID: "id",
		
		ASSIGNMENT_EFFORT : "effort",
		
		//Profile and User constants
		NAME: "name",
		DESCRIPTION: "description",
		EXPERIENCEINYEAR: "experienceInYears",
		SKILLS: "skill",
		COMPETENCTIES: "competency",
		PROFICIENCY: "proficiency",
		
		RATE: "Rate",
		
		DEL_ACTION: ":del",
		ADD_ACTION: ":add",
		NULL: null,
		NULL_STRING: "null",
		BLANK_STRING : "",
		
		EFFORT: "Effort",
		
		RESOURCE_ASSIGNMENT_VIEWLET_CONTEXT_HELP_ID: "cst_res_assign",
		
		QUERY_TYPE_USER: "user",
		QUERY_TYPE_PROFILE: "profile",
		ALL_PROGRAM_RESOURCES : "ALL_PROGRAM_RESOURCES",
		ALL_PROGRAM_PROFILES : "ALL_PROGRAM_PROFILES",
		ALL_PROJECT_RESOURCES : "ALL_PROJECT_RESOURCES",
		ALL_PROJECT_PROFILES : "ALL_PROJECT_PROFILES",
		LOADING: "LOADING_ITEM",
		SEPARATOR : "----------------------------",
		NO_SAVED_QUERIES: "NO_SAVED_QUERIES",
		LIST_OF_QUERIES: "LIST_OF_QUERIES",
		ALL_PROJECT_ASSIGNMENT: "ALL_PROJECT_ASSIGNMENT",
		
		PROFILETEMPLATEURI: "Profile",
		
		DEFAULT_ROLE :  "default",
		
		//ChargecodeEditor constants
		LABOR_CHARGECODE_FIELD: "labourChargecode",
		REVENUE_CHARGECODE_FIELD: "revenueChargecode",
		LABOR_CHARGECODE_FIELD_TYPE: "Labour Code",
		REVENUE_CHARGECODE_FIELD_TYPE: "Revenue Code",
		
		//Rates
		RATE_ASSIGNMENT: "RateAssignment",
		RATE_GRID_TITLE: "Rate",
		
		// search results
		BEST_START_DATE: "bestStartDate",
    	BEST_FINISH_DATE: "bestFinishDate",
		START_DATE_INTERVAL: "startDateInterval",
    	FINISH_DATE_INTERVAL: "finishDateInterval",
		LEAST_DATE: "1970-01-01",
		AVAILABLE_TIME : "availableEffort",
		AVAILABLE_DURATION:	"availableDuration",
		AVAILABE_EFFORT_INTERVAL: "availableEffortInterval",
		UNSAVED_WBS_ELEMENT : "Unsaved",
		TOTAL_AVAILABLE_EFFORT: "totalAvailableEffort",
		
		DURATION_TYPE_ELEMENT: "duration",
		EFFORT_TYPE_ELEMENT: "effort",
		SEARCH_SCOPE_GLOBAL: "global",
		SEARCH_SCOPE_PROJECT: "project",
		SEARCH_LEVEL_TASK: "task",
		SEARCH_LEVEL_PROJECT: "project",
		
		ADMIN_ID: "ADMIN",
		GUEST_ID: "GUEST",
		UNASSIGNED_USERID: "unassigned",
		
		ARCHIVED_FIELD: "archived",
		SKILL_ASSIGNMENT_FIELD: "skillassignment",
		COMPETENCY_ASSIGNMENT_FIELD: "competencyassignment",
		
		
		//Column field names
		NAME_COL: "name",
		PROPOSED_START_COL: "proposedstart",
		PROPOSED_FINISH_COL: "proposedfinish",
		PROPOSED_DURATION_COL: "proposedduration",
		EFFORT_COL: "effort",
		TASKS_COL: "task",
		ASSIGNED_EFFORT_COL: "assignedeffort",
		
		RIGHT_ALIGN_TEXT_STYLE: "text-align: right;",
		ASSIGNED_RESOURCES_GRID_ID: "AssignedResourcesGrid",
		USER_PROFILE_ROW_ADDED_EVENT: "userOrProfileRowAddedEvent",
		REPLACE_PROFILE_WITH_USER_EVENT: "replaceProfileWithUserEvent",
		ASSIGNED_RESOURCES_FIELD_CHANGE_EVENT: "assignedResourceFieldChangeEvent",
		AFTER_ASSIGNEDGRID_ROW_SAVE_INPROGRESS: "afterAssignedGridRowSaveInProgress",
		
		
		SUFFIX_FOR_DISCRETE_ASSIGNMENT: "plaid"
		
    };
    
})();
