/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

({
    // Top Nav bar text
	TARA_ADMIN_VIEW_BUTTON: "Administration",
	WBS_TITLE: "Work Breakdown",
	
	HELP: "Help",
	HELP_CONTENT: "Help Contents",
	WELCOME: "Welcome",
	HELP_ABOUT: "About ${0}",
	ABOUT_RTC : "About Rational Team Concert",

	'productName': "IBM Rational Project Conductor",
	'IBMRationalTeamConcert': "IBM Rational Team Concert",
	'ErrorLoadingUser': "Error Loading User",
	'DatabaseError': "An error was encountered attempting to fetch the authenticated user from the repository.  This is often caused by a problem connecting to the database.  Please contact your administrator.",
	'initDataError': "Could not init workbench.  Error fetching initialization data: ${0}",
	'invalidUserNamePassword': "Invalid username or password.",
	'guestUser': "${0} You may use Jazz as a guest user.",
	'UserIdMismatch': "Error logging in. There is a user ID mismatch between the Jazz repository and the authentication server.  Please contact your system administrator.",
	'jsonError': "JSON syntax error (raw JSON: ${0})",	
	'malformedValue': "Malformed property value for '${0}'",
	'badSuppressedPagesArray': "Suppressed page list for application ${0} did not contain an array of strings (raw JSON: ${1})",
	'AdminInvestigate': "If you have JazzAdmins privileges you can investigate the problem in the ${0}.",
	'editProfile': "Edit Profile",
	'JazzAdminUI': "Jazz Admin Web UI",
	'home': "Home",
	'admin': "Admin",
	'contact': "Contact",
	'termsOfUse': "Terms Of Use",
			
	'ProjectAreaApplication_1': "IBM Rational Team Concert",
	'ProjectAreaApplication_2': "Error Loading User",
	'ProjectAreaApplication_3': "An error was encountered attempting to fetch the authenticated user from the repository.  This is often caused by a problem connecting to the database.  Please contact your administrator.",
	'ProjectAreaApplication_4': "Jazz Admin Web UI",
	'ProjectAreaApplication_5': "If you have JazzAdmins privileges you can investigate the problem in the ${0}.",
	'ProjectAreaApplication_6': "Error Loading User",
	'ProjectAreaApplication_7': "Error logging in. There is a user ID mismatch between the Jazz repository and the authentication server.  Please contact your system administrator.",
	'ProjectAreaApplication_8': "There is no project area named '${0}' in the repository; redirecting to project area list page.",
	'ProjectAreaApplication_9': "Could not init workbench.  Error fetching initialization data: ${0}",
	'ProjectAreaApplication_10': "${0} You may use Jazz as a guest user.",
	'ProjectAreaApplication_11': "Invalid username or password.",
	
	//Query Editor Messages
	QUERY_EDITOR_TITLE:"Query Editor",
	
	DESCRIPTION_SECTION_TITLE:"Description",
	DESCRIPTION_SECTION_EDIT_ACTION_NAME:"Edit Description",
	DESCRIPTION_SECTION_EMPTYMESSAGE: "No description",
	
	TEAMAREA_SECTION_TITLE:"Team Area Sharing",
	TEAMAREA_SECTION_ADD_ACTION_NAME:"Add Team Area...",
	TEAMAREA_SECTION_EMPTYMESSAGE:"Not shared",
	
	USER_SECTION_TITLE:"User Sharing",
	USER_SECTION_ADD_ACTION_NAME:"Add User...",
	USER_SECTION_EMPTYMESSAGE:"Not shared",
	
	RESULTCOL_SECTION_TITLE:"Result Columns",
	RESULTCOL_SECTION_ADD_ACTION_NAME:"Add Column...",
	RESULTCOL_SECTION_EMPTYMESSAGE:"Default columns",
	
	ORDERCOL_SECTION_TITLE:"Sort Order",
	ORDERCOL_SECTION_ADD_ACTION_NAME:"Add Sort Column...",
	ORDERCOL_SECTION_EMPTYMESSAGE:"Default sort order",
	
	//Handle Attribute Error for Query Editor
	LOADING_ATTRIBUTE_FAILED:"Loading attributes failed",
	
	//Condition Section Messages
	LOADING_PRESENTATION_FAILED:"Loading presentation failed",
	LOADING_WIDGET_FAILED:"Loading widget failed",
	//Term Section Messages
	ALL_MUST_MATCH:"All must match",
	ANY_CAN_MATCH:"Any can match",
	
	//Epm financial Tree Error Messages
	EPM_FINANCIAL_TREE_ERROR_MESSAGE:"Cannot Retrieve Information",
	
	//EPM View Page error 
	ERROR_LOADING_PROPERTIES_FOR_EDITING_WBSELEMENT:"Error loading properties for editing the wbs element",
	CREATE_PROGRAM_TITLE1:"Click to create a ",
	CREATE_PROGRAM_TITLE2:" or use the drop down to select a type of WBS element to create",
	DEFAULT_WBS_ELEMENT_TITLE:"default WBS element",
	EPM:"EPM",
	//Query Type drop down options messages
	USER_OPTION:"User",
	PROFILE_OPTION:"Profile",
	
	//Query Editor Button Messages
	RUN_BUTTON:"Run",
	SAVE_BUTTON:"Save",
	SAVECOPY_BUTTON:"Save Copy",
	//InputBox Label(Query Editor)
	NAME_LABEL:"Name",
	//Query Editor Tab Layouts
	CONDITIONS_TAB:"Conditions",
	DETAILS_TAB:"Details",
	RESULT_LAYOUT_TAB:"Result Layouts",
	QUERY_EDITOR_SECTION_DETAILS_LABEL:"Details",
	CREATOR_LABEL:"Creator",
	
	//Dashboard messages
	SAVING: "Saving",
	CALCULATE_CRITICAL_PATH: "Calculating critical path for ",
	RESOLVING: "Resolving",
	REMOVING: "Removing ",
	UNSAVED_WBS_ELEMENT: "Unsaved",
	SAVE_ASSIGNMENT: "Save assignment values",
	SAVE: "Save",
	REFRESH: "Refresh",
    DND_IN_PROGRESS: "Updating row data after drag-and-drop. Please wait",
	
	REMOVE_WBS_NOT_SUPPORTED: "Programs, projects, and iterations cannot be removed.",
	REMOVE_WBS_SELECT_ELEMENT : "Select an element in the WBS tree.",
	
	// Initialize DB
	'configureEnvTitle': "Configure Environment",
	'configureEnvDesc1': "To set up the project management environment, the project management process templates need to be deployed and the required project areas need to be created.",
	'configureEnvDesc2': "Click the \"Configure Environment\" button below to complete these tasks.",
	'msgConfigureEnvErrorOccurred': "An error occurred while configuring the environment.",
	'msgConfigureEnvInProgress': "Configuring Environment",
	
	CONFIRM_UNSAVED_CHANGES: "Switching tab will discard your unsaved changes. Do you want to continue?",
	SWITCHING_TAB_EXCEPTION: "You have unsaved changes. If you navigate away from this page, your changes will be discarded.\nClick OK to continue, or Cancel to stay on the current page.",
	DISCARD_CHANGES_TITLE: "Discard Unsaved Changes",
    OK:"Ok",
    CANCEL:"Cancel",
	YES:"Yes",
	NO:"No",
	YES_TO_ALL:"Yes to all",
	NO_TO_ALL:"No to all",
	DIALOG_CONTENT_MULTIPLE_ITEMS_SELECTED: "Are you sure you want to delete the selected items?",
    DIALOG_CONTENT_SINGLE_ITEM_SELECTED: "Are you sure you want to delete the selected item?",
	CONFIRM_DELETE_DIALOG_TITLE: "Confirm Delete",
	
	LOADING_LARGE_CONTAINER: "Loading ${0} children ...",
	LOADING_LARGE_CONTAINER_TOOLTIP: "Contains more than 100 child elements (not recommended)",

	CONFIRM_REMOVE_TITLE: "Confirm Remove",
	CONFIRM_REMOVE_MSG: "Are you sure you want to remove ${0} \'${1}\'?  If it has child nodes they will be removed also.",
	
	DEPENDENCY_IS_SELECTED: "Note that, although a dependency is selected in the Gantt, this action will only remove ${0} \'${1}\'. To delete a selected dependency, click the \"Delete Dependency\" icon in the Schedule toolbar.",
	
	DAY_ABBREVIATION : "d",
	HOUR_ABBREVIATION : "h",
	YEAR_ABBREVIATION : "y",
	
	// WBS Element Types
    PROJECT: "Project",
    WORKITEM: "WorkItem",
	WORKITEM_QUERY_EDITOR_TITLE:"Work Item Query Editor",
    TASK: "Task",
    SUMMARYTASK: "Summary Task",
    MILESTONE: "Milestone",
    DEFECT: "Defect",
    CHANGEREQUEST: "Change Request",
    ISSUE: "Issue",
    RISK: "Risk",
	ITERATION: "Iteration",
	PROGRAM: "Program",
	DOCUMENT: "Document",
	STORY: "Story",
	
	HELP : "Help",

	//Resolve dependency
	RESOLVE_DEPENDENCY : "Resolve Dependency",
	WARNING_BEFORE_RESOLVING_DEPENDENCY_IF_ASSIGNMENT_EXISTS : "This action will extend the resource assignment dates at the project level. You cannot undo this action. Do you want to continue?"
})
