/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

({
    // RESOURCE ASSIGNMENT VIEWLET
    
    SEARCH_RESOURCES: "Search",
    ASSIGN_BUTTON: "Assign",
    UNASSIGN_BUTTON: "Unassign",
	UNASSIGN_ONLY : "Unassign Only",
	UNASSIGN_AND_REPLACE :"Unassign and Replace",
    SAVE_BUTTON: "Save",
    REFRESH_BUTTON: "Refresh",
    QUERY_BUTTON: "Query Resources",
    ADD_BUTTON: "Add",
    DELETE_BUTTON: "Delete",
    FROM_DATE: "From",
    TO_DATE: "To",
	EDIT_PROFILE: "Edit Profile",
	REPLACE: "Replace selected profile",
	PROFILE_IMAGE: "Profile",
	RESOURCE_IMAGE: "Resource",
	INACTIVE_ASSIGNMENT_IMAGE: "Inactive Resource",
	
	ASSIGN_TOOLBAR_LABEL: "Assigned Profiles and Resources",
	ADD_PROFILE_LABEL: "Add Profile...",
	ADD_PROFILE_TOOLTIP : "Add one or more profiles",
	ADD_RESOURCES_TOOLTIP : "Find and assign users by name",
	SEARCH_ASSIGN_RESOURCE_LABEL: "Search/Assign Resource",
	SEARCH_ASSIGN_RESOURCE_TOOLTIP: "Open Search/Assign results table",
	SAVE_TOOLTIP: "Save assignment values",
    
    RESOURCES_GRID: "Query results",
    RESOURCES_ASSIGNED_GRID: "Resources assigned to the task",
    RESOURCES_PROJECT: "Project Resources",
    PROJECT_PROFILES: "Project Profiles",
    RESOURCES_ASSIGNED: "Resources assigned to ",
    VIEWLET_TITLE: "Resource and Profile Assignment",
	CLOSE: "Close",
	NO_TREE_NODE_IS_SELECTED: "Select a tree node to view assigned resources and profiles",
    WBS_TREE_MISSING: "This feature is only available from within IBM Rational Project Conductor",
	ALL_PROGRAM_RESOURCES: "All Program Resources",
	ALL_PROGRAM_PROFILES: "All Program Profiles",
	ALL_PROJECT_RESOURCES: "All Project Resources",
	ALL_PROJECT_PROFILES: "All Project Profiles",	
    
    
    // Resource Details:
    NAME: "Name",
    DATE: "Date",
    START_DATE: "Start Date",
    END_DATE: "End Date",
    DURATION: "Dur.(d)",
	ASSIGNED_EFFORT : "Assigned Effort",
    SKILLS: "Skill",
    COMPETENCY: "Competency",
    COUNTRY: "Country",
    CITY: "City",
    REGION: "Region",
    EXPERIENCE: "Experience",
    DETAILS: "Details",
    ROLE: "Role ", //header
    ROLE_LABEL: "Role ", // for the role label for role combo 
    CONTOUR_LABEL: "Contour ",
    PROJECT_PROFILES_DETAILS_LABEL: "Details",
	ACTIONS: "Actions",
	EFFORT: "Effort(h)",
	TASK: "Tasks",
    
	PROCESS_ROLES:"Process Roles",
	DEFAULT_ROLE :"default",
    LOCATION: "Location",
    NEW_PROFILE: "New Profile",
    NEW_SKILL: "New Skill",
    NEW_COMPETENCY: "New Competency",
    
    LOCATION: "Location",
    
    //Contour Type
    HOURS_PER_DAY: "Hours / Day",
    CONTOUR_ASAP: "As Soon as Possible",
    CONTOUR_TYPE: "Contour",
	CONTOUR_LABEL: "Contour",
    HOUR_PERCENT: "% Hours/Day",
    VALUE: "Value",
    
    // Rates
    COST_RATE: "Cost Rate",
    SELLING_RATE: "Selling Rate",
    //Chargecodes
    LABOUR_COST: "Labour Code",
    REVENUE_COST: "Revenue Code",
    
    // Error messages
    GET_ALL_RESOURCES_FAILED: "getAllResources failed with error ",
    GET_ALL_ASSIGNED_RESOURCES_FAILED: "getAllAssignedResources failed with error ",
    RESOURCE_ASSIGNED_FAILED: "AssignResource failed with error ",
    QUERY_EXECUTION_FAILED: "Execution of Query Failed",
    WBS_NODE_NOT_SELECTED: "WBS node is not selected in Tree",
    SCHEDULE_INCORRECT: "Schedule information is Incorrect",
    DELETE_PROFILE_ERROR: "UnassignResource failed with error",
    NO_ROW_SELECTED: "No row is selected",
    ALREADY_ASSIGNED: "Assignments are already present for the following : ",
    END_DATE_CANNOT_BE_EARLIER_THAN_START_DATE: "End date cannot be earlier than start date",
    INVALID_DATE: "Invalid Date",
    DURATION_CANNOT_BE_NEGATIVE: "Duration cannot be negative",
    INVALID_DURATION_VALUE: "The Duration entered is not valid.  Enter Duration in number of days",
	DECIMAL_DURATION_NOT_ALLOWED: "Duration does not support decimal value.",
	EFFORT_CANNOT_BE_NEGATIVE: "Effort cannot be negative",
	INVALID_EFFORT_VALUE: "The Effort entered is not valid.  Enter effort in number of hours",
	DECIMAL_EFFORT_NOT_ALLOWED: "Effort does not support decimal value.",
    INVALID_ROLE: "Invalid Role",
    INVALID_CONTOURTYPE: "Invalid Contour type",
    PARTICIPANT_RATE_ASSIGNMENT: "A participant cannot be assigned a rate",
    GET_RESOURCE_DETAILS_FAILED: "Get resource details for the query result failed",
    CANNOT_ALLOCATE_ALREADY_ALLOCATED_RESOURCE: "Cannot allocate already allocated resources",
    NO_RATES_ASSIGNED_TO_USER: "The user does not have a rate associated, do you want to continue?",
	FAILED_TO_GET_RATE: "Failed to get rate",
	FAILED_TO_GET_PROJECT :"Failed to get project",
	FAILED_TO_GET_PROCESSROLES :"Failed to get the process roles from team area",
	FAILED_TO_GET_USERDETAILS :"User is not in the current team area associated to selected project",
	NO_RATES_ASSIGNED_TO_PROFILE: "No Rate is assigned",
    ONLY_ONE_ASSIGNMENT_ALLOWED_FOR_WORKITEM:"Multiple assignments is not allowed",
	USER_DONT_HAVE_CALENDAR_ASSOCIATED: "No calendar is associated to the user. Assignment can not be performed.",
	ASSIGNMENT_NOT_ALLOWED: "Assignment is not allowed for ",
	SAVE_UNSAVED_WBS_ELEMENT_BEFORE_ASSIGNMENT:" Please save WBS Element before assigning resources",
	CANNOT_MODIFY_CONTOUR_FOR_SAVED_ASSIGNMENT:" Cannot modify contour for saved assignment",
	CONTOUR_CANNOT_BE_NEGATIVE_OR_ZERO_OR_MORE_THAN_WOKRING_HOURS: "Contour value cannot be negative, zero or more than working hours",
	CONTOUT_CANNOT_BE_MORE_THAN_WORKING_HOURS: "Contour cannot be more than working hours",
	INVALID_CONOTUR_VALUE: "Invalid contour value",
	UNASSIGNMENT_CANNOT_BE_PERFORMED_FOR_FINISHED_ASSIGNMENT:"Cannot unassign a resource for a completed task.",
	ROLES_CANNOT_BE_ASSIGNED_TO_PROFILES:"Roles cannot be modified for profile allocations",
	MAX_VALUE_VALIDATION_FOR_CONTOUR_NOT_POSSIBLE: "Maximum contour value cannot be validated because working hours for the project could not be fetched.",
	
    //Unassign Dialog
    YES: "Yes",
    NO: "No",
    YESTOALL: "Yes to all",
    NOTOALL: "No to all",
    UNASSIGNDIALOG: "Unassign Dialog",
    UNASSIGN_DIALOG_TITLE: "Confirm Unassignment",
    DIALOG_CONTENT_MULTIPLE_ASSIGNMENTS_SELECTED: "You cannot undo this action.",
    DIALOG_CONTENT_SINGLE_ASSIGNMENT_SELECTED: "You cannot undo this action.",
    YOU_WANT_TO_CONTINUE: "Do you want to continue?",
    MULTIPLEASSGN_INVALID_OWNER: "There cannot be multiple owner for assignments",
    MULTIPLEASSIGN_INVALID_PM: "There cannot be multiple Project Manager role for assignments",
    NO_ROLE: "Cannot assign without a role being specified !",
    NO_WBSELEMENT: " Select an wbs element for assignment !",
	REPLACE_OR_DELETE_ASSIGNMENT: "This will unassign the resource after the last actual work date. You can perform unassignment only, or additionally replace a profile for the remaining work.",
    DELETE_ASSIGNMENT: "Are you sure you want to remove the resource from project?",
	DELETE_ASSIGNMENT_WORKITEM: "Are you sure you want to remove the resource from workitem?",
	DELETE_PROFILE_ASSIGNMENT: "Are you sure you want to remove the profile from project?",
	DELETE_PROFILE_ASSIGNMENT_WORKITEM: "Are you sure you want to remove the profile from workitem?",
	MAKE_ASSIGNMENT_INACTIVE: "Unassignment will take effect from the next working day.",
    // Query Messages
    GET_QUERY_FAILED: "Error while fetching saved queries",
    NO_RESULTS_FROM_QUERY: "Query returned no results",
    LOADING: "Loading",
    NEW_QUERY: "New Query",
    NO_SAVED_QUERIES: "No Saved Queries",
    QUERY_LABEL: "Query",
	LIST_OF_QUERIES: "List of Queries",
	ALL_PROJECT_ASSIGNMENT: "All Project Assignment",
	
    
    //Project Profile Grid
	PROJECT_PROFILE_GRID_TITLE: "ProjectProfilesGrid",
    
    //Overview Tab
    NAME_LABEL: "Name:",
    EXPERIENCE_LABEL: "Experience(Years):",
    RESOURCE_TYPE_LABEL: "Type:",
    DESCRIPTION_LABEL: "Description:",
    
    //Education tab
    QUALIFICATION_LABEL: "Qualification:",
    SPECIALIZATION_LABEL: "Specialization:",
    QUALIFICATION_LEVEL_LABEL: "Qualification Level:",
    CERTIFICATION: "Certifications:",
    
    //Resource Type Options
    FULLTIME: "Fulltime",
    CONTRACT: "contract",
    
    //Qualification Level Options
    DIPLOMA: "Diploma",
    GRADUATION: "Graduation",
    POST_GRADUATION: "Post Graduation",
    
    //Tab titles 
    
    OVERVIEW_TAB: "Overview",
    SKILLS_AND_COMPETENCIES_TAB: "Skills and Comptencies",
    EDUCATION_DETAILS_TAB: "Education Details",
    SEARCH_AND_ASSIGN_TAB: "Search and Assign",
    PROJECT_PROFILES_TAB: "Project Profile",
	
	//project priofiles error message
	PROJECT_PROFILES_DETAILS_FETCH_FAILED : "Project Profile details fetch failed",
	PROJECT_PROFILES_CREATION_FAILED : "Project Profile creation failed",
	
	//Query popup dialog
	OK: "Ok",
	CANCEL: "Cancel",
	
	// Add Profile dialog
	
	ALL_ITEMS: "Available profiles:",
	SELECTED_ITEMS: "Assigned Profiles:",
	REMOVE: "Remove",
	ADD_PROFILE_DIALOG_TITLE: "Add profiles",
	SKILLS_LABEL: "Skills:",
	COMPETENCIES_LABEL: "Competencies:",
	WAITING_TO_LOAD: "Loading...",
	NUMBER_OF_TASKS_ASSIGNED_TO: "tasks assigned to",
	HOURS_ABBR: "h",
	
	//Assignment warning Dialog
	
	WARNING_DIALOG_TITLE: "Confirm Assignment",
	PROJECT_ASSIGNMENT_SCHEDULE_CHANGE: "This assignment will extend the resource assignment dates at the project level.",
	PROJECT_ASSIGNMENT_EFFORT_CHANGE: "This assignment will extend the available resource effort at the project level.",
	RESOURCE_OVER_ALLOCATION: "This assignment will cause the resource to be over allocated.",
	PROJECT_ASSIGNMENT_CONTOUR_CHANGE: "This assignment will change the contour at the project assignment level.",
	CONTINUE_OR_CANCEL_ASSIGNMENT: "To continue, click OK. To go back and change the assignment, click Cancel.",
	
	// Rate
	RATE_TOOLBAR_LABEL: "Assigned rates",
	ADD_RATE: "Add Rate",
	DELETE_RATE: "Remove rate(s)",
    COST_RATE: "Cost rate",
    SELLING_RATE: "Selling rate",
    DEL_RATES_DIALOG_TITLE: "Confirm removal of rates",
	DIALOG_CONTENT_MULTIPLE_RATES_SELECTED: "Are you sure you want to delete the selected rates?",
    DIALOG_CONTENT_SINGLE_RATE_SELECTED: "Are you sure you want to delete the selected rate?",
    CANNOT_MODIFY_RATES_OF_UNSAVED_ASSIGNMENT: "Assignment needs to be saved before modification of rates.",
	
	//Rate Dialog Title
	RATE_TITLE:"Rate",
	//Project Charge Code Dialog Box
	CC_ASSIGN_BUTTON: "Assign",
	CC_REMOVE_BUTTON: "Remove",
	CHARGECODE_NOT_CREATED: "You cannot associate charge code to a task assignment. You have not selected a charge code here.",
	
	ASSIGNEDRESOURCES_GRID_TITLE: "AssignedResources",
	
	//Project ChargeCode Tooltip Messages
	CHARGECODE_NAME:"Name",
	CHARGECODE_DESCRIPTION:"Description",
	CHARGECODE_CODE:"Code",
	CHARGECODE_BILLABLE:"Billable",
	CHARGECODE_STATE:"State",
	
	//Search Results
	UNSAVED_WBS_ELEMENT : "Unsaved",
	
	//Availability Search //TODO: Delete these in future
	AVAILABILITY_SEARCH :"Availability Search",
	EFFORT :"Effort",
	DURATION: "Duration",
	FROM: "From",
	TO: "To",
	HRS: "hrs",
	PROJECT_SCOPE:"Search within project allocated resources",
	INVALID_DATE : "Please provide valid dates for search",
	INVALID_EFFORT : "Please provide valid effort for search",
	
	AVL_DIALOG_SUMMARY : "To search for resources by availability, select the check box and specify the availability criteria. This search may take longer to return results.",
	AVL_SHOW_AVAILABILITY_COLUMN_LABEL: "Show availability columns",
	AVL_START_DATE_LABEL: "Start Date:",
	AVL_END_DATE_LABEL: "End Date:",
	AVL_EFFORT_LABEL: "Effort:",
	AVL_CONTOUR_LABEL: "Contour:",
	AVL_HOURSPERDAY_LABEL: "h/d",
	HOURS_PER_DAY:"hrs/day",
	AVL_HOURS_LABEL: "Hours",
	AVL_SEARCH_WITHIN_PROJECT_LABEL: "Search within project allocated resources",
	AVL_DIALOG_TITLE: "Include Availability Information",
	WORKING_HOURS: " Working Hours",
		
	ERROR_LOADING_WORKITEM: "Work item information cannot be fetched for the current query",
	PROJECT_INFO_NOT_PRESENT_IN_WORKITEM: "Project information not present in work item",
	
	ERROR_LOADING_ASSIGNED_GRID: "Error fetching work item details." +
								 "\n\nSelect the work item in the tree again, or refresh the viewlet.",
								 
	SHOW_LABEL: "Show",
	ASSIGNING_PROGRESS: "Assigning",
	DELETING_PROGRESS: "Deleting",
	FETCHING_ROLE_INFORMATION_PROGRESS: "Retrieving role information",
	VALIDAITNG_ASSIGNMENT_CREATE_UPDATE : "Validating Work Item Assignment Creation / Updation ",
	ROLES_CANNOT_BE_MODIFIED_FOR_INACTIVE_USERS: "The selected user has been unassigned from the project. Cannot modify the roles.",
	FETCHING_ASSIGNMENT_INFORMATION: "Retrieving assignment information",
	SAVING: "Saving",							 
	
	//Grid Headers Tooltip Messages
	NAME_TITLE: "Name of assigned user",
   	ROLE_TITLE: "Role of user in this assignment",
   	START_DATE_TITLE: "Planned date when assigned user will start work",
   	END_DATE_TITLE: "Planned date when assigned user will finish work",
    DURATION_TITLE: "Planned duration",
    EFFORT_TITLE: "Total planned effort required",
    ASSIGNED_EFFORT_TITLE: "Planned effort required for an assignment",
    TASKS_TITLE: "Total number of tasks assigned to this user",
    COST_RATE_TITLE: "Hourly labor cost for this user",
    SELLING_RATE_TITLE: "Hourly selling rate for this user",
    ACTIONS_TITLE: "Actions available on an assignment",
	CONTOUR_TITLE: "Assignment contour", 
	LABOR_CODE_TITLE: "Labor charge code",
	REVENUE_CODE_TITLE: "Revenue charge code",
	FIRST_COLUMN_TITLE: "Profile or Resource (based on the item type)",
	AVAILABILITY_SEARCH_LABEL_DESCRIPTION : "This search will display the overall availability of the resources, and not their availability within the project."

})
