/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

// Creating an editor for the attachment column
if (!dojo._hasResource["com.ibm.epm.web.core.ui.internal.EditorInputWIthKeyFilter"]) { //_hasResource checks added by build. Do not use _hasResource directly in your code.
    dojo._hasResource["com.ibm.epm.web.core.ui.internal.EditorInputWIthKeyFilter"] = true;
    dojo.provide("com.ibm.epm.web.core.ui.internal.EditorInputWIthKeyFilter");
    
    dojo.require("dijit.form.ValidationTextBox");
    
    
    dojo.declare("com.ibm.epm.web.core.ui.internal.EditorInputWIthKeyFilter", dijit.form.ValidationTextBox, {
        keyFilter: "",
        postMixInProperties: function(){
            this.inherited('postMixInProperties', arguments);
            if (!this.keyFilter) {
                this.keyFilter = this.constraints.keyFilter;
            }
            if (this.constraints.regExp) {
                this.regExp = this.constraints.regExp;
            }
            if (this.constraints.invalidMessage) {
                this.invalidMessage = this.constraints.invalidMessage;
            }
        },
        _onKeyPress: function(evt){
            if (this.keyFilter) {
                var keyCode = evt.charCode;
                var key = String.fromCharCode(keyCode);
                //console.log(evt);
                //var keycode = evt.charCode;
                if (keyCode != 0) {
                    if (key.search(this.keyFilter) == -1) {
                        dojo.stopEvent(evt);
                    }
                }
            }
        }
        
    });
    
}
