/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

dojo.provide("com.ibm.epm.web.core.ui.internal.FinancialConstants");

(function(){

    com.ibm.epm.web.core.ui.internal.FinancialConstants = {
    
        CHARGECODE: "ChargeCode",
        
        TIMECODE: "TimeCode",
		
		//Code Uri
        CHARGE_CODE_TYPE: "chargecode",
        TIME_CODE_TYPE: "timecode",

        //Link Type
        CHARGE_CODE_LINK_NAME: "ChargeCode",
        TIME_CODE_LINK_NAME: "TimeCode",
        		       
        //Code Grid Controller
        CHARGE_CODE_GRID_CONTROLLER: "associateChargecodesController",
        TIME_CODE_GRID_CONTROLLER: "associateTimecodesController",
        
        WBS_TREE_ID: "WBSTree",
        
        TIMECODE_GRID_TITLE: "ProjectAssociatedTimeCodes",
        
        CHARGECODE_GRID_TITLE: "ProjectAssociatedChargeCodes",
		
		FINANCIAL_GRID_TITLE: "FinancialDetails",
		
		FINANCIAL_SUMMARY_GRID_TITLE: "FinancialSummaryDetails",
		
		FINANCIAL_ID: "Financials",
		
		WBS_TREE_ID: "WBSTree",
		
		FINANCIAL_VIEWLET_CONTEXT_HELP_ID: "cst_financials",
		
		BUTTON_ELEMENT : "button",
		
		ELEMENT: "element",
		
		//resource actions in viewlet
		HANDLE_BUDGET: "budget",
		HANDLE_PROJECT: "project",
		HANDLE_REFRESH_CODES: "refreshCodes"
    
    };
    
})();
