/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

(function(){
    dojo.provide("com.ibm.epm.web.core.ui.internal.IconClassConstants");
    
    // IMP : To make the tree code generic pls use the Icon class name as 
    // Resource+ "Icon" in the CSS file like for task resource the name taskIcon
    com.ibm.epm.web.core.ui.internal.IconClassConstants = {
        // WBS Tree Menu Icon Class
        // Icon class for "Create New" menu
        CREATE_ICON_CLASS: "createIcon",
        // Icon class for "Export Project" menu	
        EXPORT_ICON_CLASS: "exportIcon",
        
        // Icon class for different Tree elements
        PROGRAM_ICON_CLASS: "programIcon",
        PROJECT_OPENED_ICON_CLASS: "projectOpenedIcon",
        PROJECT_CLOSED_ICON_CLASS: "projectIcon",
		ITERATION_ICON_CLASS: "iterationIcon",
		WORKITEM_ICON_CLASS: "workItemIcon",		
        TASK_ICON_CLASS: "taskIcon",
        SUMMARYTASK_ICON_CLASS: "summarytaskIcon",
        MILESTONE_ICON_CLASS: "milestoneIcon",
        DEFECT_ICON_CLASS: "defectIcon",
        CHANGEREQUEST_ICON_CLASS: "changerequestIcon",
        ISSUE_ICON_CLASS: "issueIcon",
        RISK_ICON_CLASS: "riskIcon",
        TIMECODES_ICON_CLASS: "timecodesIcon",
		CHARGECODES_ICON_CLASS: "chargecodesIcon",
        STATICPOOLS_ICON_CLASS: "staticpoolsIcon",
        LOADING_ICON_CLASS: "loadingIcon",
		CURRENT_ITERATION_ICON_CLASS: "currentIterationIcon",
        
        // Menu item icons		
        RENAME_ICON_CLASS: "renameIcon",
        EXPAND_ALL_ICON_CLASS: "expandAllIcon",
        COLLAPSE_ALL_ICON_CLASS: "collapseAllIcon",
		RESOLVE_DEPENDENCY: "resolveDependencyIcon",
		REMOVE_ICON_CLASS: "removeIcon",
		CURRENT_ITERATION_MENU_ICON_CLASS: "currentIterationMenuIcon",
		
		// Button icons
		EPM_REFRESH_ICON_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-RefreshButtonIcon",
		EPM_SAVE_ICON_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-SaveButtonIcon",
		EPM_ADD_ICON_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-AddButtonIcon",
		EPM_DELETE_ICON_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-DeleteButtonIcon",
		EPM_PRINT_ICON_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-PrintButtonIcon",
		EPM_QUERY_ICON_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-QueryButtonIcon",
		EPM_CONTEXT_TREE_ICON_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-WBS_ContextTreeIcon",
		EPM_ADD_PROFILE_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-AddProfile",
		EPM_QUERY_RESOURCE_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-QueryResource",
		EPM_ADD_RESOURCES_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-AddResource",
		EPM_ADD_TO_RIGHT_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-AddToRight",
		EPM_ADD_TO_LEFT_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-AddToLeft",
		
        // Add this class to another to another class to make an icon button appear disabled
		EPM_DISABLED_ICON_CLASS: "com-ibm-epm-web-core-ui-internal-templates-EPMIconImages-DisabledIcon"
		
    };
    
})();

