/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.epm.risk.web.ui.internal.RiskConstants");

(function(){

    /*
     * WBS constants.
     */
    com.ibm.epm.risk.web.ui.internal.RiskConstants = {        
        
		WBS_REMOVED_TAG: "wbs_removed",
		
        NEW_ELEMENT_PREFIX: "_unsaved",
		/*
         * WBS Element types
         */

        EPM_TASK_TYPE: "task",
        EPM_RISK_TYPE: "risk",
        RISK : "risk",
		/*
		 * Schedule
		 */
		TIMESTAMP: " 00:00:00",

        /*
         * NEW WBS Element types
         */

        RISK_TYPE: "risk",
		EPM_PROJECT_TYPE: "project",
                
        /*
         * Tree
         */
        WBS_TREE_ID: "WBSTree",
     
        UN_ASSIGNED: "Unassigned",
		UN_ASSIGNED_ID: "unassigned",
        
        //VARIABLE FOR RISK MATRIX ROWS
        TOTAL_MATRIX_ROWS: 5,
        MANIPULATION_FACTORY: 20,
        RADIX_PARAMETER: 10,
		HUNDRED: 100,
        
        RISKMATRIX: "Risk Matrix",
        RISKGRIDNAME: "EPMRiskGrid",

        
        //Append required for date to be in yyyy-mm-dd hh:mm:ss.fffffffff format
        DATE_APPEND_ZERO_TIME: " 00:00:00.000000000",
		
		TYPE_MITIGATION: 0,
		
		RISK_MANAGEMENT_VIEWLET_CONTEXT_HELP_ID: "cst_risk",
		
		LEAST_DATE: "1970-01-01",
		
		IDENT_DATE_BOX: "IdentDateBox",
		
		OCCUR_DATE_BOX: "OccurredDateBox",
		
		RISK_STRATEGIES: "Risk Strategies",
		
		RISK_ACTIONS: "Risk Actions",
		
		RISK_GRID_CONTROLLER:  "RiskViewController",
		
		RISK_STRATEGIES_GRID_CONTROLLER: "RiskStrategiesGridController",
		
		RISK_ACTIONS_GRID_CONTROLLER: "RiskActionsGridController",
		
		RISK_STRATEGIES_GRID_ROW_CLICK: "ClickStrategiesRowClick",
		
		RISK_MITIGATION_STRATEGIES : "Mitigation Strategies",
		
		RISK_CONTINGENCY_PLANS : "Contingency Plans",
		
		RISK_ACTION_FIELD_COST : "Cost",
		
		SINGLE_QUOTE : "'",
		
		RISK_OWNER_FIELD: "owner",
		
		RISK_CATEGORY_FIELD: "riskcategory",
		
		RISK_OCCURED_DATE_FIELD: "riskoccurreddate",
		
		RISK_IDENT_DATE_FIELD: "riskidentifieddate",
		
		RISK_CONS_COST_FIELD: "consequencescost",
		
		RISKID_FIELD: "riskid",
		
		RISK_NAME_FIELD: "name",
		
	  	//Risk Precision abbreviation
   		HIGH_ABBR: "H",
   		MEDIUM_ABBR: "M",
    	LOW_ABBR: "L",
		
		//Risk Management
    	HIGH: "High",
   
   		MEDIUM: "Medium",
    
		LOW: "Low",
		
		TRANSPARENT_TOOLBAR_CLASS: "RiskToolBarClass",
		
		RISK_ACTION_FIELD_SUMMARY: "summary",
		RISK_ACTION_FIELD_COST: "cost",
		RISK_ACTION_FIELD_DURATION: "duration",
		RISK_ACTION_FIELD_WORK_ITEM: "workitem",
		RISK_ACTION_FIELD_ACTION: "action",
		
		RISK_COST_MIN: 0,
		RISK_COST_MAX: 99999999,
		
		RISK_ACTION_FIELD_DURATION_MIN: 1,
		RISK_ACTION_FIELD_DURATION_MAX: 200,
		
		RISK_STRATEGY_FIELD_SUMMARY: "summary",
		RISK_STRATEGY_FIELD_ACTION: "action",
		
		RISK_ACTION_WI_MENU_CLASS: "com-ibm-epm-risk-web-ui-internal-RiskActions-menuIconImages"
    };
    
})();
