/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

(function(){
    dojo.provide("com.ibm.epm.resource.web.ui.internal.StaticPoolUsersGridModel");
    
    dojo.require("com.ibm.epm.web.core.grid.model.AbstractGridModel");
    dojo.require("com.ibm.epm.web.core.grid.controller.ControllerUtil"); //TODO :
    // Constants
    dojo.require("com.ibm.epm.resource.web.ui.internal.ResourceConstants"); //TODO :
    var abstractGridModel = com.ibm.epm.web.core.grid.model.AbstractGridModel;
    var getLink = com.ibm.epm.web.core.grid.controller.ControllerUtil.getLink;
    var Constants = com.ibm.epm.resource.web.ui.internal.ResourceConstants;
    
    dojo.declare("com.ibm.epm.resource.web.ui.internal.StaticPoolUsersGridModel", abstractGridModel, {
        newElementPrefix: Constants.NEW_ELEMENT_PREFIX,
        constructor: function(){
        },
        
        /*
         * This is called by controller. Returns the empty row structure to the controller.
         */
        getEmptyRow: function(rowID){
            var row = {
                "id": rowID,
                "href": rowID,
                "name": ""
            };
            
            return row;
        },
        
        /*
         * This is called by controller.
         * After inserting a row in Grid, the getAndUpdateRow() calls updateRowData with RowURI, RowID params.
         */
        updateRowData: function(row, loadedElement, linkName){
            if (linkName === null) {
                row.name = loadedElement.name;
                
            }
        }
        //,
    
        //TODO : remove
        //		prepareSaveParams: function(row){
        //			var saveParams = {
        //				name: row.name
        //					
        //			};
        //			if(row.parentId !== null && row.parentId !== ""){
        //				saveParams.parent = row.parentId;
        //			}
        //			return saveParams;
        //		}
    
    
    });
})();

