/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

dojo.provide("com.ibm.epm.timesheet.web.ui.internal.TimesheetConstants");

(function(){

    com.ibm.epm.timesheet.web.ui.internal.TimesheetConstants = {
    
        EPM: "epm",
        
        PROJECT_RESOURCE_ASSIGNED: "User",
        
        PROJECT_ASSIGNED: "Project",
        
        TASK_ASSIGNED: "Task",
        
        TASK_UNSUBMITTED: "Unsubmitted",
        
        TASK_SUBMITTED: "Submitted",
        
        TASK_REJECTED: "Rejected",
        
        TASK_APPROVED: "Approved",
        
        TIMESHEET_STATUS_SUBMITTED: "Submitted",
        
        TIMESHEET_STATUS_UNSUBMITTED: "Unsubmitted",
        
        TIMESHEET_STATUS_APPROVED: "Approved",
        
        TIMESHEET_STATUS_REJECTED: "Rejected",
        
        RESOURCE_URI: "epm/resources/",
        
        USER_URI: "epm/resources/user/",
        
        TIMESHEET_URI: "/timesheets",
        
        TIMESHEETS: "Timesheets",
		
		APPROVER_TIMESHEET_VIEWLET_CONTEXT_HELP_ID: "cst_appr_timesheet",
		
		SUBMITTER_TIMESHEET_VIEWLET_CONTEXT_HELP_ID: "cst_tm_timesheet"
    
    };
    
})();
