/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

dojo.provide("com.ibm.epm.admin.web.ui.internal.Util.Constants");

(function(){

    com.ibm.epm.admin.web.ui.internal.Util.Constants = {
    
        // Common Constants
        
        UNSAVED: "_unsaved",
        
        SLASH: "/",
		
		//text alignment in cell 
		RIGHT_ALIGN_TEXT_STYLE: "text-align: right;",
        
        // System Profile Constants
        SYSTEM_PROFILE_GRID_TITLE:"SystemProfiles",
		
        PROFILE_GRID_IDENTIFIER: "profileid",
        
        EPM_SKILL: "EPMSkills",
        
        EPM_COMPETENCY: "EPMCompetencies",
        
        EPM_SKILL_LINK: "Skills",		
        
        EPM_COMPETENCY_LINK: "Competencies",
        
        SKILL_VALUE: "SkillValue",
        
        COMPETENCY_VALUE: "CompetencyValue",
        
        NEW_PROFILE: "New_Profile_",
        
        PROFILE_URI: "profile",
        
        SYSTEM_PROFILE: "systemProfile",
        
        SYSTEMPROFILE_CONTROLLER: "SystemProfileController",
        
        RATE: "Rate",
        
        DEFAULT_RATE_URI: "rates/default",
        
        // System Skills Constants
        
        SKILL_CONTROLLER: "SkillController",
        
        SKILL_URI: "skills",
        
        // System Competency Constants
        
        COMPETENCY_CONTROLLER: "CompetencyController",
        
        COMPETENCY_URI: "competencies",
        
        // Static Pool Type Constants
        
        STATICPOOL_TYPE_CONTROLLER: "StaticPoolTypeController",
        
        STATICPOOL_TYPE_URI: "staticpooltypes",
		
		PROFICIENCY_URI : "proficiencies",
        
        // Grid Titles
        TIMECODE_GRID_TITLE: "TimeCode",
        
        CHARGECODE_GRID_TITLE: "ChargeCode",
        
        COMPETENCY_GRID_TITLE: "Competencies",
        
        SKILL_GRID_TITLE: "Skills",
        
        STATICPOOL_TYPE_GRID_TITLE: "StaticPoolType",
        
        RATE_GRID_TITLE: "Rates",
        
		//grid field names
		CHARGECODE_FIELD_BILLABLE :"billable",
		CHARGECODE_FIELD_CATEGORY:"accountHead",
		
        //App admin codes type
        CHARGE_CODE_TYPE: "epmchargecodes",
        
        TIME_CODE_TYPE: "epmtimecodes",
        //Rate Constants
        RATE_URI: "rates",
		
		CHARGE_CODE_TREE_ID: "ChargecodesTree",
		TIME_CODE_TREE_ID: "TimecodesTree",
		NAME_FIELD_NAME: "name",		
		DESCRIPTION_FIELD_NAME: "description",		
		// Rates category constants
		
		RISK_CATEGORY_URI: 'riskcategory',
		
		RISK_CATEGORY_CONTROLLER: 'riskCategoryGridController',
		
        // post parameter related
        
        DELETE: "del",
		ADD:	"add",
        MODIFY: "mod",
		
		ParentChargeCode: "ParentChargeCode",
		ParentTimeCode: "ParentTimeCode",
		
		ACTIVE_STATE: "ACTIVE",
		ACTIVE: "Active",
		INACTIVE_STATE: "INACTIVE",
		INACTIVE: "Inactive",
		
		CHARGE_CODE_TREE_LABEL: "Charge Code",
		TIME_CODE_TREE_LABEL: "Time Code",
		
		BOOL_EDITOR_CLASS: "dojox.grid.editors.Bool",
		
		EVENT_CALENDAREXCEPTION_CLOSE: "exceptionDialogClose",
		
		EVENT_CALENDARDATE_SELECTED: "calendarDateSelected",
		
		SYSTEM_PROFILE_CONTEXT_HELP_ID:"cst_profiles",
		
		RATES_CONTEXT_HELP_ID:"cst_rates",
		
		STATIC_POOL_TYPE_CONTEXT_HELP_ID:"cst_pooltype",
		
		USERS_CONTEXT_HELP_ID:"cst_users",
		
		CALENDAR_CONTEXT_HELP_ID:"cst_appadmin_calendar",
		
		CHARGECODE_CONTEXT_HELP_ID:"cst_chargecode",
		
		SKILLS_CONTEXT_HELP_ID:"cst_skills",
		
		TIMECODE_CONTEXT_HELP_ID:"cst_timecd_ass",
		
		RISK_CATEGORY_CONTEXT_HELP_ID:"cst_riskcategory",
		
		COMPETENCIES_CONTEXT_HELP_ID:"cst_competency",
		
		PROFICIENCIES_CONTEXT_HELP_ID : "cst_proficiency" ,
		
		//Skills
		ACQUIRED: "ACQUIRED",
	    APPLIED: "APPLIED",
	    MASTERED: "MASTERED",
		
/**************** BEGIN CALENDAR CONSTANTS *************************************/		
		CALENDAR_CONTROLLER:"CalendarController",
		ADMIN_CALENDAR_GRID:"AdminCalendarGrid",
		SELECT_CALENDAR_EVENT:"SelectCalendar",
		DEFAULT_CALENDAR_URI:"calendars/default",
		SYSTEM_CALENDAR_TYPE:"SYSTEM",
		CALENDAR_URI:"calendars",
		EXCEPTION_URI:"exceptions",
		CALENDAR_ADOPTED_FROM:"calendarAdoptedFrom",
		NON_WORKING_DAY_CLASS:"EPMNonWorkingDay",
		SIMPLE:"SIMPLE",
		WEEKLY:"WEEKLY",
		YEARLY:"YEARLY",
		SUNDAY:"SUNDAY",
		MONDAY:"MONDAY",
		TUESDAY:"TUESDAY",
		WEDNESDAY:"WEDNESDAY",
		THURSDAY:"THURSDAY",
		FRIDAY:"FRIDAY",
		SATURDAY:"SATURDAY",
		JANUARY:"JANUARY",
		FEBRUARY:"FEBRUARY",
		MARCH:"MARCH",
		APRIL:"APRIL",
		MAY:"MAY",
		JUNE:"JUNE",
		JULY:"JULY",
		AUGUST:"AUGUST",
		SEPTEMBER:"SEPTEMBER",
		OCTOBER:"OCTOBER",
		NOVEMBER:"NOVEMBER",
		DECEMBER:"DECEMBER",
		
		MAX_CHARACTERS_IN_COMMENT: 250,
/**************** END CALENDAR CONSTANTS *************************************/

/**************** COLUMN FIELD CONSTANTS *************************************/
		COLUMN_NAME: "name",
		COLUMN_HOURSPERDAY: "hrsperday",
		COLUMN_DESCRIPTION: "description",
		COLUMN_COSTRATE: "costRate",
		COLUMN_SELLINGRATE: "sellingRate",
		COLUMN_EXPERIENCE: "experience",
		COLUMN_SKILL: "SkillValue",
		COLUMN_COMPETENCY: "CompetencyValue",
		COLUMN_RATE: "rate",
		
/**************** PUBLISHED CONSTANTS *************************************/

		PROFILE_FIELD_CHANGE_EVENT: "profileFieldChangeEvent",
		DIALOG_CHANGE_EVENT: "dialogChangeEvent"
    };
    
})();
