/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

/**
 * EPMUser constants
 */
dojo.provide("com.ibm.epm.admin.web.ui.internal.view.user.EPMUserConstants");

(function(){

    com.ibm.epm.admin.web.ui.internal.view.user.EPMUserConstants = {
    
        // URI's
        USER_URI: "user",
        SKILL_URI: "skills",
        COMPETENCY_URI: "competencies",
        RATE_URI: "rates",
        CALENDAR_URI: "calendars",
        PROFICIENCY_URI : "proficiencies",
		
		PROFICIENCY_LEVEL: "proficiencyLevel",
		NAME: "name",
        
        //Grid related constants
        
        NEW_ELEMENT_UNSAVED_PREFIX: "_unsaved",
        
        EPM_USER_CONTROLLER_ID: "epmUserController",
        EPM_USER_COMPETENCY_CONTROLLER_ID: "UserGridCompetencyController",
        EPM_USER_RATES_CONTROLLER_ID: "UserGridRateController",
        EPM_USER_SKILLS_CONTROLLER_ID: "UserGridSkillsController",
        EPM_USER_CALENDAR_CONTROLLER_ID: "UserGridCalendarController",
		EPM_USER_POOLS_CONTROLLER_ID: "UserGridPoolsController",
		EPM_SKILLS_CONTROLLER_ID : "EpmSkillsController",
		EPM_COMPETENCY_CONTROLLER_ID : "EPMCompetencyController",
		EPM_USER_POOLS_GRID_TITLE : "UserPoolsGrid",
		EPM_USER_CALENDAR_GRID_TITLE:"UserCalendarGrid",
		EPM_PROFILE_SKILL_CONTROLLER_ID : "EpmProfileSkillGridController",
		EPM_PROFILE_COMPETENCY_CONTROLLER_ID : "EpmProfileCompetencyGridController",
		EPM_SKILL: "skill",
		EPM_COMPETENCY: "competency",
		EPM_PROFICIENCY: "proficiency",
        
        EPM_USER_UNSAVED: "epmUser_unsaved",
        CURRENCY: "USD",
        
        NEW_SKILL_UNSAVED: "NewSkill_unsaved",
        NEW_COMPETENCY_UNSAVED: "NewCompetency_unsaved",
        NEW_RATES_UNSAVED: "NewRate_unsaved",
        NEW_CALENDAR_UNSAVED: "NewCalendar_unsaved",
		NEW_POOL_UNSAVED: "NewPool_unsaved",        
        UNSAVED: "unsaved",
        // post parameter related
        
        DELETE: "del",
        MODIFY: "mod",
		
		EVENT_CALENDAREXCEPTION_CLOSE: "exceptionDialogClose",
		
		EVENT_CALENDARDATE_SELECTED: "calendarDateSelected",
		
		CALENDAR_TYPE_ASSIGN:"ASSIGNED",
		
		TO_TIME: "toTime",
		
		FROM_TIME: "fromTime"
    
    
    
    };
    
})();
