/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

/**
 */
(function(){
    dojo.provide("com.ibm.epm.admin.web.ui.internal.view.user.EPMUserGridController");
    dojo.require("com.ibm.epm.web.core.grid.controller.EPMGridController");
    
    var EPMGridController = com.ibm.epm.web.core.grid.controller.EPMGridController;
    
    dojo.declare("com.ibm.epm.admin.web.ui.internal.view.user.EPMUserGridController", EPMGridController, {
    
        initializeController: function(allElementsURI, viewer, model, linksToBeLoaded){
            // Calling super function
            this.inherited(arguments);
        },
        
        postCreate: function(){
            this.inherited(arguments);
        },
        
        
        _get_n_updateModel: function(){
        
            var massagedLinks = this.massageLinks(this.collectionElements);
            this.updateModel(false, massagedLinks);
            
        },
        
        massageLinks: function(collectionElementsLinks){
            if (!collectionElementsLinks || collectionElementsLinks.length == 0) {
                return null;
            }
            if (!dojo.isArray(collectionElementsLinks)) {
                collectionElementsLinks = [collectionElementsLinks];
            }
            var massagedLinks = new Array(1);
            for (var i in collectionElementsLinks) {
                massagedLinks.push(collectionElementsLinks[i]);
            }
            return massagedLinks;
        }
    });
})();
